2010-04-22  José Alburquerque  <jaalburqu@svn.gnome.org>

	DataEntry: Wrap remaining vfuncs.

	* libgda-ui/src/dataentry.ccg:
	* libgda-ui/src/dataentry.hg: Wrap get_value_vfunc() and
	get_value_orig_vfuncs() manually because of their Glib::ValueBase&
	parameters.

2010-04-13  José Alburquerque  <jaalburqu@svn.gnome.org>

	DataEntry: Wrap vfuncs.

	* libgda-ui/src/dataentry.ccg:
	* libgda-ui/src/dataentry.hg:
	* libgda-ui/src/libgda_ui_vfuncs.defs: Wrapped most virtual functions.
	Left TODO's for two that should be handwritten.  Also removed the
	set_reference_value() methods because those are not in the most recent
	release (4.1.4) of libgda.  Hopefully a first release of this will
	soon occur so compilation must be successful with an already released
	version of libgda.
	* libgda-ui/src/datastore.hg: Added local conversions for
	get_iter_from_values() for when it is wrapped.
	* tools/m4/convert_libgda_uimm.m4: Included conversions for wrapped
	vfuncs and methods above.

	* configure.ac: Update libgda and libgdamm version numbers to ones
	available and with which libgda-uimm compiles.

2010-04-01  José Alburquerque  <jaalburqu@svn.gnome.org>

	Add DataFilter, DataStore and ServerOperation classes.

	* libgda-ui/libgda-uimm.h:
	* libgda-ui/src/filelist.am:
	* libgda-ui/src/datafilter.ccg:
	* libgda-ui/src/datafilter.hg:
	* libgda-ui/src/datastore.ccg:
	* libgda-ui/src/datastore.hg:
	* libgda-ui/src/serveroperation.ccg:
	* libgda-ui/src/serveroperation.hg: Add the DataFilter and
	ServerOperation widgets and the DataStore class which implements the
	Gtk::TreeModel interface.
	* tools/m4/convert_libgda_uimm.m4: Added conversions for added
	classes.

	* libgda-ui/src/dataproxyinfo.hg:
	* libgda-ui/src/login.hg: Add class forward declaration sections for
	Gnome::Gda classes (though no classes have been declared) so that
	adding forward declarations is easier when creating new source files
	using existing copies of existing ones.
	* libgda-ui/src/combo.hg: Typo.

2010-03-10  José Alburquerque  <jaalburqu@svn.gnome.org>

	Add DataEntry interface.

	* libgda-ui/libgda-uimm.h:
	* libgda-ui/src/filelist.am:
	* libgda-ui/src/dataentry.ccg:
	* libgda-ui/src/dataentry.hg: Add the new DataEntry interface.
	* tools/m4/convert_libgda_uimm.m4: Add conversions for DataEntry.
	* libgda-ui/src/dataproxy.hg: Typo.

2010-03-03  José Alburquerque  <jaalburqu@svn.gnome.org>

	Add Cloud widget.

	* libgda-ui/libgda-uimm.h:
	* libgda-ui/src/filelist.am:
	* libgda-ui/src/cloud.ccg:
	* libgda-ui/src/cloud.hg: Add new Cloud widget.

	* libgda-ui/src/login.hg:
	* libgda-ui/src/rawgrid.hg: Correct signal parameter names.

2010-03-03  José Alburquerque  <jaalburqu@svn.gnome.org>

	Add Grid and RawGrid classes.

	* libgda-ui/libgda-uimm.h:
	* libgda-ui/src/filelist.am:
	* libgda-ui/src/grid.ccg:
	* libgda-ui/src/grid.hg:
	* libgda-ui/src/rawgrid.ccg:
	* libgda-ui/src/rawgrid.hg: Add Grid and RawGrid classes which are
	related in a similar way as Form and RawForm are.
	* tools/m4/convert_libgda_uimm.m4: Added RawGrid conversions.
	* .gitignore: Typo.

2010-03-03  José Alburquerque  <jaalburqu@svn.gnome.org>

	Replace first line of sources with library name instead of filename.

	* libgda-ui/src/basicform.ccg:
	* libgda-ui/src/basicform.hg:
	* libgda-ui/src/combo.ccg:
	* libgda-ui/src/combo.hg:
	* libgda-ui/src/dataproxy.ccg:
	* libgda-ui/src/dataproxy.hg:
	* libgda-ui/src/dataproxyinfo.ccg:
	* libgda-ui/src/dataproxyinfo.hg:
	* libgda-ui/src/dataselector.ccg:
	* libgda-ui/src/dataselector.hg:
	* libgda-ui/src/form.ccg:
	* libgda-ui/src/form.hg:
	* libgda-ui/src/login.ccg:
	* libgda-ui/src/login.hg:
	* libgda-ui/src/providerselector.ccg:
	* libgda-ui/src/providerselector.hg:
	* libgda-ui/src/rawform.ccg:
	* libgda-ui/src/rawform.hg: Replace the first line of the sources with
	the library name instead of the filename to avoid having to replace
	the filename each time a new source file is added by copying it from
	one of the existing ones.

2010-02-25  José Alburquerque  <jaalburqu@svn.gnome.org>

	Add DataProxyInfo, Form and RawForm.

	* libgda-ui/libgda-uimm.h:
	* libgda-ui/src/filelist.am:
	* libgda-ui/src/dataproxyinfo.ccg:
	* libgda-ui/src/dataproxyinfo.hg:
	* libgda-ui/src/form.ccg:
	* libgda-ui/src/form.hg:
	* libgda-ui/src/rawform.ccg:
	* libgda-ui/src/rawform.hg: Added new DataProxy, Form and RawForm
	related classes.
	* tools/m4/convert_libgda_uimm.m4: Added conversions for DataProxyInfo.

2010-02-24  José Alburquerque  <jaalburqu@svn.gnome.org>

	Add BasicForm class.

	* libgda-ui/libgda-uimm.h:
	* libgda-ui/src/filelist.am:
	* libgda-ui/src/basicform.ccg:
	* libgda-ui/src/basicform.hg: Add new BasicForm class.
	* tools/m4/convert_libgda_uimm.m4: Added conversions for the BasicForm
	class.

	* libgda-ui/src/dataproxy.hg:
	* libgda-ui/src/dataselector.hg:
	* libgda-ui/src/providerselector.hg: Typos.

2010-02-24  José Alburquerque  <jaalburqu@svn.gnome.org>

	Add DataProxy Interface.

	* libgda-ui/libgda-uimm.h:
	* libgda-ui/src/dataproxy.ccg:
	* libgda-ui/src/dataproxy.hg:
	* libgda-ui/src/filelist.am: Add new DataProxy interface.
	* libgda-ui/src/libgda_ui_vfuncs.defs: Added GdauiDataProxy virtual
	functions.
	* tools/m4/convert_libgda_uimm.m4: Added conversions for DataProxy. 

2010-02-24  José Alburquerque  <jaalburqu@svn.gnome.org>

	Add ProviderSelector class.

	* libgda-ui/libgda-uimm.h:
	* libgda-ui/src/providerselector.ccg:
	* libgda-ui/src/providerselector.hg:
	* libgda-ui/src/filelist.am: Add new Combo derived ProviderSelector
	class.
	* tools/m4/convert_libgda_uimm.m4: Added GdaServerProvider conversion.

	* libgda-ui/src/login.ccg:
	* libgda-ui/src/login.hg: Typos.

	* tools/extra_defs_gen/generate_defs_libgda_ui.cc: Added all UI types
	to signal and property generator so that it is not necessary to add
	them one by one and regenerate for each new added class.
	* libgda-ui/src/libgda_ui_signals.defs: Regenerated signal and
	property defs file to include all UI types' signals and properties.

2010-02-23  José Alburquerque  <jaalburqu@svn.gnome.org>

	DataSelector, Login: Add class description from C docs.

	* libgda-ui/src/dataselector.hg:
	* libgda-ui/src/login.hg: Add description from the C docs to the class
	docs header.

2010-02-23  José Alburquerque  <jaalburqu@svn.gnome.org>

	Login: Wrapped properties and signals.

	* libgda-ui/src/login.hg: Wrapped signals and properties.
	* tools/extra_defs_gen/generate_defs_libgda_ui.cc: Added 
	GDAUI_TYPE_LOGIN to the list of types for which signals and properties
	should be generated.
	* libgda-ui/src/libgda_ui_signals.defs: Regenerated with
	generate_defs_libgda_ui to get GdauiLogin signals and properties.

2010-02-23  José Alburquerque  <jaalburqu@svn.gnome.org>

	Add Login Class.

	* libgda-ui/libgda-uimm.h:
	* libgda-ui/src/filelist.am:
	* libgda-ui/src/login.ccg:
	* libgda-ui/src/login.hg: Add new Login class.
	* tools/m4/convert_libgda_uimm.m4: Add conversion for the
	GdauiLoginMode enum.

	* libgda-ui/src/combo.ccg:
	* libgda-ui/src/combo.hg:
	* libgda-ui/src/dataselector.ccg:
	* libgda-ui/src/dataselector.hg: Use class forward declarations to
	avoid including C header files in C++ header files (should speed up
	application compilation).  Added a couple of TODO's and made minor
	const corrections in commented out code.

2010-02-21  José Alburquerque  <jaalburqu@svn.gnome.org>

	Wrap DataSelector Interface.

	* libgda-ui/libgda-uimm.h:
	* libgda-ui/src/filelist.am:
	* libgda-ui/src/dataselector.ccg:
	* libgda-ui/src/dataselector.hg: Added new DataSelector interface.

	* tools/extra_defs_gen/generate_defs_libgda_ui.cc: Added
	GDAUI_TYPE_DATA_SELECTOR to the list of types for which properties and
	signals are generated.
	* libgda-ui/src/libgda_ui_signals.defs: Regenerated with
	generate_defs_libgda_ui to get the GdauiDataSelector
	"selection-changed" signal.
	* libgda-ui/src/libgda_ui_vfuncs.defs: Handwrote the GdauiDataSelector
	virtual functions.
	* libgda-ui/src/libgda_ui.defs: Included the signal definitions in the
	main defs file.

	* libgda-ui/src/combo.ccg:
	* libgda-ui/src/combo.hg: Made Combo implement the DataSelector
	interface.  Wrapped properties.  Also corrected the
	Gnome::Gda::DataModel* parameters to be embedded Glib::RefPtr<>'s (I
	got confused with the Gtk::ComboBox derived newly wrapped Combo class
	which is not embedded in a Glib::RefPtr<>). Const corrections.

	* tools/m4/convert_libgda_uimm.m4: Included GdaDataModel and
	GdaDataModelIter conversions.

2010-02-19  José Alburquerque  <jaalburqu@svn.gnome.org>

	Combo: Wrap methods.

	* libgda-ui/src/combo.hg: Wrap Combo methods.
	* tools/m4/convert.m4: Include correct conversion files.
	* tools/m4/convert_libgda_ui.m4: Remove unneeded file.
	* tools/m4/convert_libgda_uimm.m4: Use this file for conversions.
	* tools/m4/filelist.am: Correct m4 conversion file list.

2010-02-19  José Alburquerque  <jaalburqu@svn.gnome.org>

	Initial Generation of the docs and def files.

	* libgda-ui/src/generate-docs.sh:
	* libgda-ui/src/generate-enums.sh:
	* libgda-ui/src/generate-extra-defs.sh:
	* libgda-ui/src/generate-methods.sh: Add scripts for generating defs.
	* tools/Makefile.am: Correct the name of the extra defs generation
	tool.
	* libgda-ui/src/libgda_ui_docs.xml:
	* libgda-ui/src/libgda_ui_enums.defs:
	* libgda-ui/src/libgda_ui_methods.defs:
	* libgda-ui/src/libgda_ui_signals.defs: Initial Generation of the docs
	and def files.

2009-09-14  José Alburquerque  <jaalburqu@svn.gnome.org>

	[wrap_]init.{h,cc}: Use namespace Gnome::GdaUI instead of Gnome::Gda.

	* libgda-ui/libgda-uimm/init.cc:
	* libgda-ui/libgda-uimm/init.h:
	* libgda-ui/libgda-uimm/wrap_init.h: Use namespace Gnome::GdaUI
	instead of Gnome::Gda.
	* libgda-ui/src/combo.hg:
	* libgda-ui/src/combo.ccg: Correct class header docs.
	* docs/reference/Doxyfile.in: Exclude HelperList from Doxygen docs.

2009-09-14  Murray Cumming  <murrayc@murrayc.com>

	* libgda-ui/src/Makefile.am:
	* libgda-ui/src/combo.[hg|ccg]: Change the namespace from Gnome::Gda to 
	Gnome::GdaUI.

